## sphinx-substitution-extensions 2025.10.24

=== Makefile ===
SHELL := /bin/bash -euxo pipefail

.PHONY: build-sample
build-sample:
	rm -rf sample/build
	uv run --extra=dev sphinx-build -W -b html sample/source sample/build

.PHONY: build-sample-parallel
build-sample-parallel:
	rm -rf sample/build
	uv run --extra=dev sphinx-build -j 2 -W -b html sample/source sample/build

.PHONY: open-sample
open-sample:
	python -c 'import os, webbrowser; webbrowser.open("file://" + os.path.abspath("sample/build/index.html"))'

.PHONY: sample
sample: build-sample open-sample

## sphinx-substitution-extensions 2025.06.06

=== debian/changelog ===
sphinx-substitution-extensions (2025.06.06-2) unstable; urgency=low

  * Re-upload as source-only

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 25 Jun 2025 15:24:36 +0200

sphinx-substitution-extensions (2025.06.06-1) unstable; urgency=low

  * Initial release; Closes: #1107269

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 06 Jun 2025 23:02:33 +0200

=== debian/control ===
Source: sphinx-substitution-extensions
Section: python
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-beartype,
               python3-myst-parser,
               python3-sphinx,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/adamtheturtle/sphinx-substitution-extensions
Vcs-Git: https://salsa.debian.org/twolife/sphinx-substitution-extensions.git
Vcs-Browser: https://salsa.debian.org/twolife/sphinx-substitution-extensions

Package: python3-sphinx-substitution-extensions
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: sphinx extension which allows substitutions within code blocks
 With this extension you can now use substitutions in various places
 inside rST documents or Markdown files where it wasn't possible to do so
 by default, like inside Sphinx's built-in "code-block" directive.

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/adamtheturtle/sphinx-substitution-extensions/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sphinx-substitution-extensions 2025.10.24

=== debian/changelog ===
sphinx-substitution-extensions (2025.10.24-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 28 Oct 2025 10:28:08 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python3-myst-parser,
                python3-sphinx,
                python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/adamtheturtle/sphinx-substitution-extensions
 Vcs-Git: https://salsa.debian.org/twolife/sphinx-substitution-extensions.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-substitution-extensions
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: Github
Owner: adamtheturtle
Project: sphinx-substitution-extensions

## sphinx-substitution-extensions 2025.11.17

=== debian/changelog ===
sphinx-substitution-extensions (2025.11.17-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 21 Nov 2025 11:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-beartype,
                python3-myst-parser,
                python3-sphinx,
+               python3-sphinx-toolbox <!nocheck>,
                python3-setuptools,
 Standards-Version: 4.7.2
 Homepage: https://github.com/adamtheturtle/sphinx-substitution-extensions

## sphinx-substitution-extensions 2025.12.15

=== debian/changelog ===
sphinx-substitution-extensions (2025.12.15-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 18 Dec 2025 11:23:16 +0100

## sphinx-substitution-extensions 2026.01.12

=== debian/changelog ===
sphinx-substitution-extensions (2026.01.12-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 17 Jan 2026 14:10:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sphinx-substitution-extensions
 Section: python
-Priority: optional
 Maintainer: Sébastien Noel <sebastien@twolife.be>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -12,7 +11,7 @@
                python3-sphinx,
                python3-sphinx-toolbox <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/adamtheturtle/sphinx-substitution-extensions
 Vcs-Git: https://salsa.debian.org/twolife/sphinx-substitution-extensions.git
 Vcs-Browser: https://salsa.debian.org/twolife/sphinx-substitution-extensions
